## hwdata 0.148

=== Makefile ===
--- 
+++ 
@@ -31,12 +31,14 @@
 	ln -s ../../../share/$(NAME)/Cards $(prefix)/X11R6/lib/X11/Cards
 	mkdir -p -m 755 $(sysconfdir)/pcmcia
 	install -m 644 config $(sysconfdir)/pcmcia
-	install -m 644 updfstab.conf $(sysconfdir)/updfstab.conf
-	install -m 644 updfstab.conf.default $(sysconfdir)/updfstab.conf.default
-	
-	
-tag-archive:
+	mkdir -p -m 755 $(sysconfdir)/hotplug/
+	install -m 644 blacklist $(sysconfdir)/hotplug/
+
+tag:
 	@cvs -Q tag $(CVSTAG)
+
+force-tag:
+	@cvs -Q tag -F $(CVSTAG)
 
 pcilint: pcilint.c
 	$(CC) $(CFLAGS) -o pcilint pcilint.c
@@ -45,6 +47,7 @@
 	[ -x /sbin/lspci ] && /sbin/lspci -i pci.ids > /dev/null
 	./pcilint
 	./check-cards
+	./check-pci-ids.py
 
 create-archive:
 	@rm -rf /tmp/$(NAME)
@@ -57,7 +60,7 @@
 	@echo ""
 	@echo "The final archive is in $(NAME)-$(VERSION).tar.gz"
 
-archive: check clean tag-archive create-archive
+archive: check clean tag create-archive
 
 dummy:
 
@@ -66,10 +69,10 @@
 	@mkdir -p $(HOME)/rpmbuild/$(NAME)-$(VERSION)
 	@mv $(NAME)-$(VERSION).tar.* $(HOME)/rpmbuild/$(NAME)-$(VERSION)/
 	@cp $(NAME).spec $(HOME)/rpmbuild/$(NAME)-$(VERSION)/
-	@pushd $(HOME)/rpmbuild/$(NAME)-$(VERSION) &> /dev/null ; rpm --nodeps -bs $(NAME).spec ; popd &> /dev/null
+	@pushd $(HOME)/rpmbuild/$(NAME)-$(VERSION) &> /dev/null ; rpmbuild --nodeps -bs $(NAME).spec ; popd &> /dev/null
 	@echo SRPM is: $(HOME)/rpmbuild/SRPMS/$(NAME)-$(VERSION)-$(RELEASE).src.rpm
-	
+
 clean:
 	@rm -f $(NAME)-*.gz
 	@rm -f pcilint
-	
+
