## hwdata 0.172

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 CVSTAG = $(NAME)-r$(subst .,-,$(VERSION))
 
-FILES = CardMonitorCombos Cards MonitorsDB pci.ids pcitable upgradelist usb.ids
+FILES = MonitorsDB pci.ids upgradelist usb.ids videodrivers
 
 all: 
 
@@ -27,12 +27,10 @@
 	for foo in $(FILES) ; do \
 		install -m 644 $$foo $(datadir)/$(NAME) ;\
 	done
-	mkdir -p -m 755 $(prefix)/X11R6/lib/X11
-	ln -s ../../../share/$(NAME)/Cards $(prefix)/X11R6/lib/X11/Cards
-	mkdir -p -m 755 $(sysconfdir)/pcmcia
-	install -m 644 config $(sysconfdir)/pcmcia
-	mkdir -p -m 755 $(sysconfdir)/hotplug/
-	install -m 644 blacklist $(sysconfdir)/hotplug/
+	mkdir -p -m 755 $(datadir)/$(NAME)/videoaliases
+	install -m 644 videoaliases $(datadir)/$(NAME)/videoaliases/stock
+	mkdir -p -m 755 $(sysconfdir)/modprobe.d
+	install -m 644 blacklist $(sysconfdir)/modprobe.d
 
 tag:
 	@cvs -Q tag $(CVSTAG)
@@ -40,13 +38,8 @@
 force-tag:
 	@cvs -Q tag -F $(CVSTAG)
 
-pcilint: pcilint.c
-	$(CC) $(CFLAGS) -o pcilint pcilint.c
-
-check: pcilint
+check:
 	[ -x /sbin/lspci ] && /sbin/lspci -i pci.ids > /dev/null
-	./pcilint
-	./check-cards
 	./check-pci-ids.py
 
 create-archive:
@@ -74,5 +67,4 @@
 
 clean:
 	@rm -f $(NAME)-*.gz
-	@rm -f pcilint
