## hwdata 0.200

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 NAME=$(shell awk '/Name:/ { print $$2 }' hwdata.spec)
 VERSION=$(shell awk '/Version:/ { print $$2 }' hwdata.spec)
-RELEASE=$(shell awk '/Release:/ { print $$2 }' hwdata.spec)
+RELEASE=$(shell awk '/Release:/ { a=$$2; sub("%.*","",a); print a }' hwdata.spec)
+SOURCEDIR := $(shell pwd)
 
 prefix=$(DESTDIR)/usr
 sysconfdir=$(DESTDIR)/etc
@@ -40,6 +41,8 @@
 check:
 	[ -x /sbin/lspci ] && /sbin/lspci -i pci.ids > /dev/null
 	./check-pci-ids.py
+	@: videodrivers is tab-separated
+	[ `grep -vc '	' videodrivers` -eq 0 ]
 
 create-archive:
 	@rm -rf /tmp/$(NAME)
@@ -56,14 +59,13 @@
 
 dummy:
 
-srpm-x:
+srpm-x: create-archive
 	@echo Creating $(NAME) src.rpm
-	@mkdir -p $(HOME)/rpmbuild/$(NAME)-$(VERSION)
-	@mv $(NAME)-$(VERSION).tar.* $(HOME)/rpmbuild/$(NAME)-$(VERSION)/
-	@cp $(NAME).spec $(HOME)/rpmbuild/$(NAME)-$(VERSION)/
-	@pushd $(HOME)/rpmbuild/$(NAME)-$(VERSION) &> /dev/null ; rpmbuild --nodeps -bs $(NAME).spec ; popd &> /dev/null
-	@echo SRPM is: $(HOME)/rpmbuild/SRPMS/$(NAME)-$(VERSION)-$(RELEASE).src.rpm
+	@rpmbuild --nodeps -bs --define "_sourcedir $(SOURCEDIR)" --define "_srcrpmdir $(SOURCEDIR)" $(NAME).spec
+	@echo SRPM is: $(NAME)-$(VERSION)-$(RELEASE).src.rpm
 
 clean:
-	@rm -f $(NAME)-*.gz
+	@rm -f $(NAME)-*.gz $(NAME)-*.src.rpm
 
+clog: hwdata.spec
+	@sed -n '/^%changelog/,/^$$/{/^%/d;/^$$/d;s/%%/%/g;p}' $< | tee $@
