## hwdata 0.220

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,9 @@
 
 CVSTAG = $(NAME)-r$(subst .,-,$(VERSION))
 
-FILES = MonitorsDB pci.ids upgradelist usb.ids videodrivers
+FILES = MonitorsDB pci.ids upgradelist usb.ids videodrivers oui.txt
+
+.PHONY: all install tag force-tag check create-archive archive srpm-x clean clog new-pci-ids new-usb-ids
 
 all: 
 
@@ -33,27 +35,34 @@
 	install -m 644 blacklist $(sysconfdir)/modprobe.d
 
 tag:
-	@cvs -Q tag $(CVSTAG)
+	@git tag -a -m "Tag as $(NAME)-$(VERSION)-$(RELEASE)" $(NAME)-$(VERSION)-$(RELEASE)
+	@echo "Tagged as $(NAME)-$(VERSION)-$(RELEASE)"
 
 force-tag:
-	@cvs -Q tag -F $(CVSTAG)
+	@git tag -f $(NAME)-$(VERSION)-$(RELEASE)
+	@echo "Tag forced as $(NAME)-$(VERSION)-$(RELEASE)"
+
+changelog:
+	@rm -f ChangeLog
+	@(GIT_DIR=.git git-log > .changelog.tmp && mv .changelog.tmp ChangeLog || rm -f .changelog.tmp) || (touch ChangeLog; echo 'git directory not found: installing possibly empty changelog.' >&2)
 
 check:
-	[ -x /sbin/lspci ] && /sbin/lspci -i pci.ids > /dev/null
-	./check-pci-ids.py
+	@[ -x /sbin/lspci ] && /sbin/lspci -i pci.ids > /dev/null || { echo "FAILURE: /sbin/lspci -i pci.ids"; exit 1; } && echo "OK: /sbin/lspci -i pci.ids"
+	@./check-pci-ids.py || { echo "FAILURE: ./check-pci-ids.py"; exit 1; } && echo "OK: ./check-pci-ids.py"
 	@: videodrivers is tab-separated
-	[ `grep -vc '	' videodrivers` -eq 0 ]
+	@[ `grep -vc '	' videodrivers` -eq 0 ] || { echo "FAILURE: videodrivers not TAB separated"; exit 1; } && echo "OK: videodrivers"
 
 create-archive:
-	@rm -rf /tmp/$(NAME)
-	@cd /tmp ; cvs -Q -d $(CVSROOT) export -r$(CVSTAG) $(NAME) || echo "Um... export aborted."
-	@mv /tmp/$(NAME) /tmp/$(NAME)-$(VERSION)
-	@cd /tmp ; tar -czSpf $(NAME)-$(VERSION).tar.gz $(NAME)-$(VERSION)
-	@rm -rf /tmp/$(NAME)-$(VERSION)
-	@cp /tmp/$(NAME)-$(VERSION).tar.gz .
-	@rm -f /tmp/$(NAME)-$(VERSION).tar.gz
+	@rm -rf $(NAME)-$(VERSION) $(NAME)-$(VERSION).tar*  2>/dev/null
+	@make changelog
+	@git-archive --format=tar --prefix=$(NAME)-$(VERSION)/ HEAD > $(NAME)-$(VERSION).tar
+	@mkdir $(NAME)-$(VERSION)
+	@cp ChangeLog $(NAME)-$(VERSION)/
+	@tar --append -f $(NAME)-$(VERSION).tar $(NAME)-$(VERSION)
+	@bzip2 -f $(NAME)-$(VERSION).tar
+	@rm -rf $(NAME)-$(VERSION)
 	@echo ""
-	@echo "The final archive is in $(NAME)-$(VERSION).tar.gz"
+	@echo "The final archive is in $(NAME)-$(VERSION).tar.bz2"
 
 archive: check clean tag create-archive
 
@@ -69,3 +78,14 @@
 
 clog: hwdata.spec
 	@sed -n '/^%changelog/,/^$$/{/^%/d;/^$$/d;s/%%/%/g;p}' $< | tee $@
+
+download: new-usb-ids new-pci-ids new-oui.txt
+
+new-usb-ids:
+	@curl -O http://www.linux-usb.org/usb.ids
+
+new-pci-ids:
+	@curl -O http://pciids.sourceforge.net/pci.ids
+
+new-oui.txt:
+	@curl -O http://standards.ieee.org/regauth/oui/oui.txt
