## hwdata 0.230

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 CVSTAG = $(NAME)-r$(subst .,-,$(VERSION))
 
-FILES = MonitorsDB pci.ids upgradelist usb.ids videodrivers oui.txt
+FILES = MonitorsDB pci.ids upgradelist usb.ids videodrivers oui.txt pnp.ids
 
 .PHONY: all install tag force-tag check create-archive archive srpm-x clean clog new-pci-ids new-usb-ids
 
@@ -32,7 +32,7 @@
 	done
 	mkdir -p -m 755 $(datadir)/$(NAME)/videoaliases
 	mkdir -p -m 755 $(sysconfdir)/modprobe.d
-	install -m 644 blacklist $(sysconfdir)/modprobe.d
+	install -m 644 blacklist.conf $(sysconfdir)/modprobe.d
 
 tag:
 	@git tag -a -m "Tag as $(NAME)-$(VERSION)-$(RELEASE)" $(NAME)-$(VERSION)-$(RELEASE)
@@ -44,7 +44,7 @@
 
 changelog:
 	@rm -f ChangeLog
-	@(GIT_DIR=.git git-log > .changelog.tmp && mv .changelog.tmp ChangeLog || rm -f .changelog.tmp) || (touch ChangeLog; echo 'git directory not found: installing possibly empty changelog.' >&2)
+	@(GIT_DIR=.git git log > .changelog.tmp && mv .changelog.tmp ChangeLog || rm -f .changelog.tmp) || (touch ChangeLog; echo 'git directory not found: installing possibly empty changelog.' >&2)
 
 check:
 	@[ -x /sbin/lspci ] && /sbin/lspci -i pci.ids > /dev/null || { echo "FAILURE: /sbin/lspci -i pci.ids"; exit 1; } && echo "OK: /sbin/lspci -i pci.ids"
@@ -55,7 +55,7 @@
 create-archive:
 	@rm -rf $(NAME)-$(VERSION) $(NAME)-$(VERSION).tar*  2>/dev/null
 	@make changelog
-	@git-archive --format=tar --prefix=$(NAME)-$(VERSION)/ HEAD > $(NAME)-$(VERSION).tar
+	@git archive --format=tar --prefix=$(NAME)-$(VERSION)/ HEAD > $(NAME)-$(VERSION).tar
 	@mkdir $(NAME)-$(VERSION)
 	@cp ChangeLog $(NAME)-$(VERSION)/
 	@tar --append -f $(NAME)-$(VERSION).tar $(NAME)-$(VERSION)
@@ -65,6 +65,9 @@
 	@echo "The final archive is in $(NAME)-$(VERSION).tar.bz2"
 
 archive: check clean tag create-archive
+
+upload:
+	@scp ${NAME}-$(VERSION).tar.bz2 fedorahosted.org:$(NAME)
 
 dummy:
