## hwdata 0.290

=== Makefile ===
--- 
+++ 
@@ -14,10 +14,10 @@
 
 CVSTAG = $(NAME)-r$(subst .,-,$(VERSION))
 
-FILES = pci.ids usb.ids oui.txt iab.txt pnp.ids
+IDFILES = pci.ids usb.ids oui.txt iab.txt pnp.ids
 
 .PHONY: all install tag force-tag check commit create-archive archive srpm-x \
-    clean clog new-pci-ids new-usb-ids new-oui new-iab new-pnp-ids
+    clean clog download
 
 include Makefile.inc
 
@@ -30,21 +30,21 @@
 
 install: Makefile.inc
 	mkdir -p -m 755 $(DESTDIR)$(datadir)/$(NAME)
-	for foo in $(FILES) ; do \
+	for foo in $(IDFILES) ; do \
 		install -m 644 $$foo $(DESTDIR)$(datadir)/$(NAME) ;\
 	done
 	mkdir -p -m 755 $(DESTDIR)$(libdir)/modprobe.d
 	install -m 644 -T blacklist.conf $(DESTDIR)$(libdir)/modprobe.d/dist-blacklist.conf
 
 commit:
-	git commit -a ||:
+	git commit -vas ||:
 
 tag:
 	@git tag -s -m "Tag as $(TAGNAME)" $(TAGNAME)
 	@echo "Tagged as $(TAGNAME)"
 
 force-tag:
-	@git tag -s -f $(TAGNAME)
+	@git tag -s -f -m "Tag as $(TAGNAME)" $(TAGNAME)
 	@echo "Tag forced as $(TAGNAME)"
 
 changelog:
@@ -54,6 +54,16 @@
 check:
 	@[ -x /sbin/lspci ] && /sbin/lspci -i pci.ids > /dev/null || { echo "FAILURE: /sbin/lspci -i pci.ids"; exit 1; } && echo "OK: /sbin/lspci -i pci.ids"
 	@./check-pci-ids.py || { echo "FAILURE: ./check-pci-ids.py"; exit 1; } && echo "OK: ./check-pci-ids.py"
+	@./check-usb-ids.sh
+	@for file in $(IDFILES); do \
+	    text=`LANG=C file $$file`; \
+	    expected="$$file: UTF-8 Unicode text"; \
+	    if [[ "$$text" != "$$expected" ]]; then \
+		printf "Expected: %s\n Got instead: %s\n" "$$expected" "$$text" >&2; \
+		exit 1; \
+	    fi; \
+	    echo "OK: $$text"; \
+	done
 	@echo -n "CHECK date of pci.ids: "; grep "Date:" pci.ids | cut -d ' ' -f 5
 	@echo -n "CHECK date of usb.ids: "; grep "Date:" usb.ids | cut -d ' ' -f 6
 
@@ -74,39 +84,49 @@
 upload:
 	@scp $(ARCHIVE) fedorahosted.org:$(NAME)
 
-dummy:
-
 srpm-x: create-archive
 	@echo Creating $(NAME) src.rpm
 	@rpmbuild --nodeps -bs --define "_sourcedir $(SOURCEDIR)" --define "_srcrpmdir $(SOURCEDIR)" $(NAME).spec
 	@echo SRPM is: $(NAME)-$(VERSION)-$(RELEASE).src.rpm
 
 clean:
-	@rm -f $(NAME)-*.gz $(NAME)-*.src.rpm new-pnp.xlsx pnp.ids.txt
+	@rm -f $(NAME)-*.gz $(NAME)-*.src.rpm pnp.ids.xlsx \
+	    *.downloaded *.utf8 *.orig
 
 clog: hwdata.spec
 	@sed -n '/^%changelog/,/^$$/{/^%/d;/^$$/d;s/%%/%/g;p}' $< | tee $@
 
-download: new-usb-ids new-pci-ids new-oui new-iab new-pnp-ids
+download: $(IDFILES)
 
-new-usb-ids:
-	@curl -O http://www.linux-usb.org/usb.ids
+usb.ids.downloaded:
+	@curl -o $@ http://www.linux-usb.org/usb.ids
 
-new-pci-ids:
-	@curl -O http://pciids.sourceforge.net/pci.ids
+pci.ids.downloaded:
+	@curl -o $@ https://raw.githubusercontent.com/pciutils/pciids/master/pci.ids
 
-new-oui:
-	@curl -O http://standards.ieee.org/develop/regauth/oui/oui.txt
+oui.txt.downloaded:
+	@curl -o $@ -O http://standards-oui.ieee.org/oui.txt
 
-new-iab:
-	@curl -O http://standards.ieee.org/develop/regauth/iab/iab.txt
+iab.txt.downloaded:
+	@curl -o $@ -O http://standards-oui.ieee.org/iab/iab.txt
 
-new-pnp-ids: pnp.ids
+pnp.ids.xlsx:
+	@curl -o $@ \
+	    http://download.microsoft.com/download/7/E/7/7E7662CF-CBEA-470B-A97E-CE7CE0D98DC2/ISA_PNPID_List.xlsx
 
-pnp.ids: pnp.ids.txt pnp.ids.patch
-	patch -o $@ <pnp.ids.patch
+usb.ids: usb.ids.utf8
+	dos2unix -n $? $@
 
-pnp.ids.txt: new-pnp.xlsx
+pci.ids: pci.ids.utf8
+	dos2unix -n $? $@
+
+oui.txt: oui.txt.utf8
+	dos2unix -n $? $@
+
+iab.txt: iab.txt.utf8
+	dos2unix -n $? $@
+
+pnp.ids.orig: pnp.ids.xlsx
 	@unoconv --stdout -f csv $? | \
 	    tr ' ' ' ' | \
 	    sed -n \
@@ -116,6 +136,15 @@
 		-e 's:^\(.*\)\s*,\s*\([a-zA-Z@]\{3\}\)\s*,\s*\([0-9]\+/[0-9]\+/[0-9]\+\):\2\t\1:p' | \
 	    sed 's/\s*$$//' | sort -u >$@
 
-new-pnp.xlsx:
-	@curl -o $@ \
-	    http://download.microsoft.com/download/7/E/7/7E7662CF-CBEA-470B-A97E-CE7CE0D98DC2/ISA_PNPID_List.xlsx
+pnp.ids: pnp.ids.orig pnp.ids.patch
+	patch -o $@ <pnp.ids.patch
+
+%.utf8: %.downloaded
+	@text=`LANG=C file $?`
+	@encoding=`echo "$$text" | sed -n 's/.*\(iso-8859\S\*\|cp1[12]\d\+\).*/\1/Ip'`
+	@if [[ -n "$$encoding" ]]; then \
+	    iconv -f "$$encoding" -t UTF-8 $?; \
+	else \
+	    cat $?; \
+	fi | sed 's/\s\+$$//' >$@
+
