## hwdata 0.317

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
     # add revision to tag name for rhel branches
     TAGNAME := $(NAME)-$(VERSION)-$(RELEASE)
 else
-    TAGNAME := $(NAME)-$(VERSION)
+    TAGNAME := v$(VERSION)
 endif
 SOURCEDIR := $(shell pwd)
 ARCHIVE := $(TAGNAME).tar.bz2
@@ -15,6 +15,9 @@
 CVSTAG = $(NAME)-r$(subst .,-,$(VERSION))
 
 IDFILES = pci.ids usb.ids oui.txt iab.txt pnp.ids
+
+# usb.ids is not in UTF-8
+UTF_IDFILES = pci.ids oui.txt iab.txt pnp.ids
 
 .PHONY: all install tag force-tag check commit create-archive archive srpm-x \
     clean clog download
@@ -55,7 +58,7 @@
 	@[ -x /sbin/lspci ] && /sbin/lspci -i pci.ids > /dev/null || { echo "FAILURE: /sbin/lspci -i pci.ids"; exit 1; } && echo "OK: /sbin/lspci -i pci.ids"
 	@./check-pci-ids.py || { echo "FAILURE: ./check-pci-ids.py"; exit 1; } && echo "OK: ./check-pci-ids.py"
 	@./check-usb-ids.sh
-	@for file in $(IDFILES); do \
+	@for file in $(UTF_IDFILES); do \
 	    text=`LANG=C file $$file`; \
 	    expected="$$file: UTF-8 Unicode text"; \
 	    if [[ "$$text" != "$$expected" ]]; then \
@@ -79,7 +82,7 @@
 	@echo ""
 	@echo "The final archive is in $(ARCHIVE)"
 
-archive: check clean commit tag create-archive
+archive: check clean commit tag
 
 upload:
 	@scp $(ARCHIVE) fedorahosted.org:$(NAME)
