## hwdata 0.333

=== debian/changelog ===
hwdata (0.333-1) unstable; urgency=medium

  * New upstream release: (Closes: #947191)
    - pnp.ids: update Goldstar to LG Electronics (Closes: #900005)

 -- Pino Toscano <pino@debian.org>  Thu, 12 Mar 2020 06:45:31 +0100

hwdata (0.290-2) unstable; urgency=medium

  * Take over the maintainership from Noël Köthe, with his permission.
    Thanks for maintaining hwdata so far!
  * Add the configuration for the CI on salsa.
  * Stop shipping, and installing, a ChangeLog file generated from the upstream
    Git repository, as it is not useful.
  * Move the installation of pnp.ids to a hwdata.install file, instead of
    copying it manually.
  * Move the symlinks creation to a hwdata.links file, instead of passing them
    as arguments of dh_link.
  * Stop patching usb.ids, as we do not ship it anyway.
  * Switch source format to "3.0 (quilt)".
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Rewrite rules to the dh sequencer, with no specific buildsystem.
  * Remove dirs file, as the right directories are automatically created.
  * Stop using the ${shlibs:Depends} substvar, as it does not exist in arch:all
    binaries.
  * Upstream moved to GitHub, so:
    - switch Homepage to https://github.com/vcrhonek/hwdata
    - switch watch file to GitHub tags
  * Add Vcs-* fields.
  * Remove README.build, as we do not ship usb.ids.
  * Remove trailing whitespaces in changelog.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Mark hwdata as Multi-Arch: foreign.
  * Set Rules-Requires-Root: no.

 -- Pino Toscano <pino@debian.org>  Fri, 06 Mar 2020 20:47:41 +0100

hwdata (0.290-1) unstable; urgency=medium

  * upstream release from 2016-06-22
  * debian/control updated Standard-Version: no changes needed

 -- Noël Köthe <noel@debian.org>  Sat, 02 Jul 2016 16:53:06 +0200

hwdata (0.267-1) unstable; urgency=medium

  * upstream release from 2014-06-16
  * debian/watch added
  * debian/control updated Standard-Version: no changes needed

 -- Noël Köthe <noel@debian.org>  Sun, 24 Aug 2014 01:19:05 +0200

hwdata (0.249-1) unstable; urgency=low

  * latest upstream release from 2013-06-20
    - upstream removed upgradelist, MonitorDB, videodrivers

 -- Noël Köthe <noel@debian.org>  Mon, 12 Aug 2013 14:36:31 +0200

hwdata (0.234-1) unstable; urgency=low

  * new upstream release from 2012-05-18
  * added patch from Martin Pitt <martin.pitt@ubuntu.com>
    which links the files usb.ids and pci.ids to the ones from the
    packages usbutils and pciutils where they are newer. Thanks a lot!
    closes: Bug#635302 and LP: #77929
  * debian/control added usbutils and pciutils dependecy
  * debian/control updated Standards-Version, no changes needed
  * removed debian/README.build because no need for updating usb.ids
    anymore

 -- Noël Köthe <noel@debian.org>  Sun, 08 Jul 2012 01:57:32 +0200

hwdata (0.233-1) unstable; urgency=low

  * new upstream version
  * updated usb.ids
  * updated Standards-Version
  * fixed lintian warning debian-rules-missing-recommended-target
  * debian/rules dh_clean -k -> dh_prep

 -- Noël Köthe <noel@debian.org>  Sun, 24 Jul 2011 10:46:26 +0200

hwdata (0.230-1) unstable; urgency=low

  * new upstream release from git
  * updated Standards-Version:, no changes needed
  * corrected homepage to git page

 -- Noèl Köthe <noel@debian.org>  Sun, 01 Aug 2010 00:53:58 +0200

hwdata (0.227-1) unstable; urgency=low

  * new upstream release 2010-02-23
    - it has the Dell monitors included. closes: Bug#538980
  * added pnp.ids to the package. closes: Bug#548647
  * raised Standards-Version: (no changes needed)
  * added Homepage: field

 -- Noèl Köthe <noel@debian.org>  Sun, 28 Feb 2010 21:03:03 +0100

hwdata (0.225-1) unstable; urgency=low

  * new upstream release from 2009-07-08
    - it carries a updated pci.ids which corrects
      the device 8086:4236. closes: Bug#518545
  * debian/compat debian/control raised debhelper to 5
  * debian/control updated Standards-Version: (no changes needed)
  * fixed lintian warning "binary-arch-rules-but-pkg-is-arch-indep"

 -- Noèl Köthe <noel@debian.org>  Fri, 24 Jul 2009 19:15:48 +0200

hwdata (0.220-1) unstable; urgency=low

  * new upstream from 2008-07-23
  * debian/control updated Standard-Version
  * debian/copyright
    - updated download location
    - lintian warning about Copyright
  * updated usb.ids to r1.368 (was r1.367)

 -- Noèl Köthe <noel@debian.org>  Sat, 09 Aug 2008 23:58:19 +0200

hwdata (0.200-1) unstable; urgency=low

  * new upstream from 2007-04-10
  * added Samsung monitor
    (closes: Bug#405457)
  * added LG and Mtek monitors
    (closes: Bug#409574)

 -- Noèl Köthe <noel@debian.org>  Sat, 19 May 2007 18:48:54 +0200

hwdata (0.199-1) unstable; urgency=low

  * new upstream from 2007-03-14
  * correct upstream download URL
    (closes: Bug#405450)

 -- Noèl Köthe <noel@debian.org>  Sun, 08 Apr 2007 10:51:24 +0200

hwdata (0.191-1) unstable; urgency=low

  * new upstream from 2006-10-09
  * added empty build target for policy;) (closes: Bug#395780)
    (thx Aurelien for noticing)
  * updated Standards-Version

 -- Noèl Köthe <noel@debian.org>  Sun, 19 Nov 2006 21:38:40 +0100

hwdata (0.177-1) unstable; urgency=low

  * new upstream from 2006-03-06
  * added video files to package (closes: Bug#350135)

 -- Noèl Köthe <noel@debian.org>  Fri, 17 Mar 2006 19:39:20 +0100

hwdata (0.172-1) unstable; urgency=low

  * new upstream from 2005-11-18

 -- Noèl Köthe <noel@debian.org>  Thu, 24 Nov 2005 20:50:12 +0100

hwdata (0.169-1) unstable; urgency=low

  * new upstream from 2005-09-09

 -- Noèl Köthe <noel@debian.org>  Mon, 17 Oct 2005 18:10:03 +0200

hwdata (0.159-1) unstable; urgency=low

  * new upstream from 2005-06-22
    (closes: Bug#276605)
  * fixed typo in description
    (closes: Bug#277224)
  * updated Standards-Version:
  * updated usb.ids from http://www.linux-usb.org/usb.ids


