=== debian/watch ===
version=3
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%hwdata-$1.tar.gz%" \
https://github.com/vcrhonek/hwdata/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz
