## hwdata 0.338

=== debian/changelog ===
hwdata (0.338-1) unstable; urgency=medium

  * New upstream release.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13

 -- Pino Toscano <pino@debian.org>  Tue, 04 Aug 2020 17:08:14 +0200

hwdata (0.334-1) unstable; urgency=medium

  * New upstream release.
  * Explicitly depend on pci.ids, and usb.ids, so there is no problem in case
    pciutils, and usbutils remove their dependencies on them; also implement
    the first half of #944500.

 -- Pino Toscano <pino@debian.org>  Wed, 01 Apr 2020 13:48:00 +0200
