=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Pino Toscano <pino@debian.org>
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/vcrhonek/hwdata
@@ -12,7 +12,7 @@
 Package: hwdata
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, usbutils, pciutils
+Depends: ${misc:Depends}, pci.ids, usb.ids, usbutils, pciutils
 Description: hardware identification / configuration data
  This package contains various hardware identification and configuration data,
  such as the pci.ids database, or the XFree86/xorg Cards database.
