## hwdata 0.342

=== debian/changelog ===
hwdata (0.342-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Drop the usbutils, and pciutils dependencies, as they are not needed
    anymore. (Closes: #944500)

 -- Pino Toscano <pino@debian.org>  Tue, 01 Dec 2020 20:59:28 +0100

hwdata (0.341-1) unstable; urgency=medium

  * New upstream release.
  * Bump the version the watch file to 4, no changes required.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fix day-of-week for changelog entries 0.87-1, 0.64-2.

 -- Pino Toscano <pino@debian.org>  Wed, 11 Nov 2020 16:16:15 +0100
