=== debian/changelog ===
hwdata (0.344-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Wed, 03 Feb 2021 14:05:17 +0100

hwdata (0.343-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 08 Jan 2021 15:15:12 +0100
