## hwdata 0.345

=== Makefile ===
--- 
+++ 
@@ -115,7 +115,7 @@
 
 pnp.ids.xlsx:
 	@curl -o $@ \
-	    https://www.uefi.org/uefi-pnp-export
+	    https://uefi.org/uefi-pnp-export
 
 usb.ids: usb.ids.utf8
 	dos2unix -n $? $@
