=== debian/changelog ===
hwdata (0.345-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Mon, 01 Mar 2021 12:15:15 +0100
