## hwdata 0.357

=== debian/changelog ===
hwdata (0.357-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 03 Mar 2022 21:07:42 +0100

hwdata (0.355-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Mon, 03 Jan 2022 14:15:02 +0100

hwdata (0.354-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 03 Dec 2021 21:12:04 +0100

hwdata (0.352-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 07 Oct 2021 08:10:14 +0200

hwdata (0.351-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 03 Sep 2021 06:50:19 +0200

hwdata (0.350-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 15 Aug 2021 10:45:55 +0200
