## hwdata 0.361

=== debian/changelog ===
hwdata (0.361-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 07 Jul 2022 05:22:44 +0200

hwdata (0.359-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Tue, 03 May 2022 07:36:43 +0200
