## hwdata 0.363

=== debian/changelog ===
hwdata (0.363-1) unstable; urgency=medium

  * New upstream release.
  * Pass --disable-blacklist to configure, so the dist-blacklist.conf file is
    not installed anymore
    - drop its entry from debian/not-installed

 -- Pino Toscano <pino@debian.org>  Wed, 05 Oct 2022 22:13:49 +0200

hwdata (0.362-1) unstable; urgency=medium

  * New upstream release.
  * Use the upstream buildsystem to configure and install things, however
    ship only the files already currently shipped; this way it will be easier
    to ship more files provided by upstream without manually handling them
    - stop forcing no buildsystem for dh, letting it do an autoconf-like
      behaviour
    - create a dummy Makefile.inc before cleaning, so it works (as Makefile
      includes it); removed it anyway, as it is generated by configure
    - install to debian/tmp, so we can select from it what to ship
    - tweak hwdata.install to pick pnp.ids, and hwdata.pc as installed
    - add debian/not-installed that lists all the other files that we do not
      currently ship
    - disable the test suite, as it tests only things we do not ship

 -- Pino Toscano <pino@debian.org>  Sat, 10 Sep 2022 18:05:51 +0200
