## hwdata 0.365

=== debian/changelog ===
hwdata (0.365-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 02 Dec 2022 20:31:41 +0100

hwdata (0.364-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Mon, 07 Nov 2022 07:42:57 +0100
