## hwdata 0.367

=== debian/changelog ===
hwdata (0.367-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 02 Feb 2023 21:40:16 +0100

hwdata (0.366-1) unstable; urgency=medium

  * New upstream release.
  * Update standards version to 4.6.2, no changes needed.

 -- Pino Toscano <pino@debian.org>  Thu, 05 Jan 2023 08:45:33 +0100
